afc_client_free
afc_client_new
afc_client_start_service
afc_client_t
afc_dictionary_free
afc_error_t
afc_file_close
afc_file_lock
afc_file_mode_t
afc_file_open
afc_file_read
afc_file_seek
afc_file_tell
afc_file_truncate
afc_file_write
afc_get_device_info
afc_get_device_info_key
afc_get_device_info_plist
afc_get_file_info
afc_get_file_info_plist
afc_link_type_t
afc_lock_op_t
afc_make_directory
afc_make_link
afc_read_directory
afc_remove_path
afc_remove_path_and_contents
afc_rename_path
AFC_SERVICE_NAME
afc_set_file_time
afc_strerror
afc_truncate

## afc_get_device_info_plist()

afc_error_t afc_get_device_info_plist | ( | afc_client_t | client,
|  | plist_t * | device_information )

Get device information for a connected client.

The device information returned is the device model as well as the free space, the total capacity and blocksize on the accessed disk partition.

Parameters

  client | The client to get device info for.
  device_information | A pointer to a plist_t that will be populated with key-value pairs (dictionary) representing the device’s storage and model information. Free with plist_free().

Returns
  AFC_E_SUCCESS on success or an AFC_E_* error value.